> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Docker Image

> Check whether a docker image is accessible (optionally with registry credentials).



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json post /api/v1/template/check-docker-image
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/template/check-docker-image:
    post:
      tags:
        - Template
      summary: Check Docker Image
      description: >-
        Check whether a docker image is accessible (optionally with registry
        credentials).
      operationId: check_docker_image_api_v1_template_check_docker_image_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DockerImageCheckRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DockerImageCheckRequest:
      properties:
        image:
          type: string
          title: Image
        registry_credentials_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credentials Id
      type: object
      required:
        - image
      title: DockerImageCheckRequest
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````